%define		plugin	ssl
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Plugin for Cacti - forcing SSL access
Summary(pl.UTF-8):	Wtyczka do Cacti wymuszająca dostęp przez SSL
Name:		cacti-plugin-%{plugin}
Version:	0.1
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://mirror.cactiusers.org/downloads/plugins/%{plugin}-%{version}.tar.gz
# Source0-md5:	dd762734fe19d73c4285c23245932c28
URL:		http://www.cactiusers.org/
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti
Requires:	php(core) >= %{php_min_version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}

%description
This Cacti plugin forces your Cacti users to use SSL to access Cacti.
No page or graph will be viewable through regular HTTP. Make sure you
are running SSL support on your web server before enabling.

%description -l pl.UTF-8
Wtyczka do Cacti wymuszająca stosowanie SSL (szyfrowania) przy
dostępie WWW do Cacti. Żadna strona ani wykres nie będzie dostępny po
nieszyfrowanym HTTP. Przed zainstalowaniem wtyczki należy upewnić się,
że serwer WWW obsługuje SSL.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{plugindir}
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 1e30c09
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> 9b53c15
- use tgz source, php deps

* Sun May 16 2010 sparky <sparky@pld-linux.org> f96c400
- BR: unzip

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> b4095cb
- simplify macros and cleanups

* Sun Jan 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 00947ab
- summaries, descs cleanup

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> 8b838f6
- cleanups

* Thu Dec 13 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 841ca18
- init

